Bug 1630953 - systemd-coredump-python: Remove python2-systemd-coredump once python2 is removed
Summary: systemd-coredump-python: Remove python2-systemd-coredump once python2 is removed
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd-coredump-python
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PY2REMOVAL F31_PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2018-09-19 15:12 UTC by Miro Hrončok
Modified: 2019-10-30 10:37 UTC (History)
7 users (show)

Fixed In Version: systemd-coredump-python-2-11.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-30 10:37:57 UTC
Type: ---


Attachments (Terms of Use)

Description Miro Hrončok 2018-09-19 15:12:18 UTC
In line with the Mass Python 2 Package Removal [0], the following (sub)packages of systemd-coredump-python were marked for removal:

 * python2-systemd-coredump

According to our query, those (sub)packages only provide a Python 2 importable module. If this is not true, please tell us why, so we can fix our query.

Please remove them from your package.

As said in the change document, if there is no objection in a week, we will remove the package(s) as soon as we get to it. This change might not match your packaging style, so we'd prefer if you did the change. If you need more time, please let us know here.

We hope this doesn't come to you as a surprise. If you want to know our motivation for this, please read the change document [0].

[0] https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

Comment 1 Zbigniew Jędrzejewski-Szmek 2018-11-05 22:00:29 UTC
This package falls into the category of "development tools for other packages". I think it should stay as long as python2 is around, and go away together with it.

Comment 2 Miro Hrončok 2018-11-05 22:16:32 UTC
It has no other deps, so that works for me.

Comment 3 Zbigniew Jędrzejewski-Szmek 2018-11-05 22:59:37 UTC
What's the procedure? Should this be closed as DEFERRED?

Comment 4 Miro Hrončok 2018-11-06 09:49:09 UTC
I've renamed the bug, I've changed it to FutureFeature. Also, here's the text I send in this situation:


As a debugging tool, we now listed this package as an exception. It's going to be removed with python2 (once that happens).

When the time comes, we'll change the package without *any* further warning or discussion, and close this bug.


(At this point I assign the bug to a change owner, but you are a change owner, so I leave you here.)

Comment 5 Miro Hrončok 2019-08-26 14:38:44 UTC
For the record we plan to remove the packages mid November.


Note You need to log in before you can comment on or make changes to this bug.